Subject: [Idr] Request a 10 minutes presentation slot at IDR Interim on 10/26/2018 for draft-dunbar-idr-bgp-sdwan-overlay-ext-00

From: Linda Dunbar <[email-masked]>
Date: Thu, 18 Oct 2018 15:33:10 +0000

Sue and John,

I would like a 10 minutes slot at the IDR Interim on 10/26/2018 for draft-dunbar-idr-bgp-sdwan-overlay-ext-00 (to be uploaded this weekend).

The document defines a new BGP SAFI with a new NLRI in order to advertise a SD-WAN edge node's capabilities in establishing SD-WAN overlay tunnels with other SD-WAN nodes through third party networks. The goal is for SD-WAN network to scale, enabling SD-WAN overlay tunnels among large number of SD-WAN nodes to be established with few provisioning needed.

We understand the complication of having a new SAFI.
But, the mechanisms described by [draft-ietf-idr-tunnel-encaps-10] cannot be effectively used for SD-WAN overlay network because a SD-WAN Tunnel needs to be established before data arrival. There is no Routes to be associated with the SD-WAN Tunnel.
There is a suggestion on using a "Fake Route" for a SD-WAN node to use [draft-ietf-idr-tunnel-encaps] to advertise its SD-WAN tunnel end-points properties. However, using "Fake Route" can create deployment complexity for large SD-WAN networks with many tunnels. For example, for a SD-WAN network with hundreds of nodes, with each node having many ports & many end-points to establish SD-WAN tunnels to their corresponding peers, the node would need many "fake addresses". For large SD-WAN networks (such as has more than 10000 nodes), each node might need 10's thousands of "fake addresses", which is very difficult to manage and needs lots of configuration to get the nodes provisioned.

In addition, hosts/applications attached to SD-WAN edge nodes can belong to different tenants, requiring SD-WAN nodes to establish different tunnels to different SD-WAN nodes. As shown in the figure below, C1 node alone has to establish following SD-WAN tunnels:

  *   two SD-WAN tunnels to C2: one for Tenant 1, another one for Tenant 2,
  *   One SD-WAN tunnel to C3 for Tenant 1, and
  *   two SD-WAN tunnels to C4: one for Tenant 1, another one for Tenant 2,

                                                     +----------+
                                            +--------+ Tenant 2 |
                                            |        +----------+
         +--------+                         |          +--------+
         | Tenant +--+                      |     +----| Tenant |
         | 1      |  |                      |     |    | 1      |
         +--------+  |    ................. |     |    +--------+
                     |  +-+-+           +-+-+     |
                     +--|C1 |---+   +---|C2 |-----+        +---------+
                        +-+-+   |   |   +---+        /-----+ Tenant 1|
                        / .    +-----+      .       /      +---------+
                       /  . +--| RR  |--+   .      /     +---------+
                      /   . |  +-----+   \  .     /------+ Tenant 3|
                     |    . |  Overlay    \ .    /       +---------+
                     |    . |  untrusted   +--+--+    +--------+
         +--------+  |    . |   Networks   | C4  |    | Tenant |
         | Tenant +--+    . |              |     |----| 2      |
         | 2      |       .  \ +---+       +--+--+    +--------+
         +--------+       .....+C3 +..........+
                               +---+
                                 |
                                 |
                       =====================
                         |               |
                     +--------+      +--------+
                     | Tenant |      | Tenant |
                     | 2      |      | 3      |
                     +--------+      +--------+

Thank you very much.

Linda Dunbar

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Thursday, October 04, 2018 12:57 PM
To: [email-masked]
Subject: [Idr] Interim on 10/26/2018 instead of IETF 103

Greetings:

IDR will have an virtual interim on 10/26/2018 from 10:00 - 12:00 ET instead of a meeting at IETF 103.

Both chairs will not be able to attend IETF 103.  John Scudder let me know at IETF 102 that he had another commitment. This week I found out that my husband will be for surgery during first 10 days of November - so I will not be able to attend IETF 103.

Please send John and I requests for presentations at the interim on 10/26/2018.

Susan Hares
Co-chair IDR